Skip to main content

Get Store by Slug (v1)

Method + Path​

GET /v1/public/storefront/stores/:slug

Actual backend path: /v1/public/storefront/stores/:slug

Description​

Get a public storefront by its slug. This endpoint provides all public store information including home sections, banners, and reels.

When Meta Pixel is enabled in the dashboard, the store object includes facebookPixelId (digits only). The storefront web app injects the official Meta Pixel snippet into <head> for visitors.

Authentication​

Not required - This is a public endpoint

Headers​

HeaderTypeRequiredDescription
Content-TypestringYesapplication/json

Path Parameters​

ParameterTypeRequiredDescription
slugstringYesStore slug

Response (200)​

{
"store": {
"id": "507f1f77bcf86cd799439011",
"name": "My Store",
"slug": "my-store",
"description": "Store description",
"logoUrl": "https://example.com/logo.jpg",
"homeSections": [],
"homeBanners": [],
"reels": []
}
}

Common Errors​

  • 404 Not Found: Store not found or not published
  • 500 Internal Server Error: Server error